diff --git a/changelog b/changelog
index da0e041..d32578a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100418 tpd src/axiom-website/patches.html 20100418.02.tpd.patch
+20100418 tpd src/input/Makefile add liska.input
+20100418 tpd add src/input/liska.input add liska test suite
 20100418 tpd src/axiom-website/patches.html 20100418.01.tpd.patch
 20100418 tpd src/algebra/Makefile add BLAS1 dcopy help and regression test
 20100418 tpd books/bookvol10.5 add BLAS1 dcopy
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b25a835..8dfdcbb 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2629,5 +2629,7 @@ books/bookvol10.5 add BLAS1 dasum function<br/>
 books/bookvol10.5 add BLAS1 daxpy<br/>
 <a href="patches/20100418.01.tpd.patch">20100418.01.tpd.patch</a>
 books/bookvol10.5 add BLAS1 dcopy<br/>
+<a href="patches/20100418.02.tpd.patch">20100418.02.tpd.patch</a>
+add src/input/liska.input add liska test suite<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index bcacc33..e80186e 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -341,7 +341,7 @@ REGRES= ackermann.regress \
     kamke4.regress    kamke5.regress   kamke6.regress   kamke7.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    linalg.regress \
-    lindep.regress    list.regress     liu.regress   \
+    lindep.regress    liska.regress    list.regress     liu.regress   \
     lode.regress      lodesys.regress  lodo1.regress \
     lodo2.regress     lodo3.regress    lodof.regress    lodo.regress \
     log.regress \
@@ -635,7 +635,8 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/laplace.input  ${OUT}/leg.input      \
        ${OUT}/lextripk.input ${OUT}/lib.input        ${OUT}/limit.input \
        ${OUT}/linalg.input \
-       ${OUT}/lindep.input   ${OUT}/liss1.input      ${OUT}/liss2.input \
+       ${OUT}/lindep.input   ${OUT}/liska.input \
+       ${OUT}/liss1.input    ${OUT}/liss2.input \
        ${OUT}/list.input     ${OUT}/liu.input \
        ${OUT}/lode.input     ${OUT}/lodesys.input \
        ${OUT}/lodo1.input    ${OUT}/lodo2.input      ${OUT}/lodof.input \
@@ -958,6 +959,7 @@ DOCFILES= \
   ${DOC}/lextripk.input.dvi   \
   ${DOC}/lib.input.dvi         ${DOC}/limit.input.dvi      \
   ${DOC}/linalg.input.dvi      ${DOC}/lindep.input.dvi     \
+  ${DOC}/liska.input.dvi \
   ${DOC}/liss1.input.dvi       ${DOC}/liss2.input.dvi      \
   ${DOC}/list.input.dvi        ${DOC}/liu.input.dvi        \
   ${DOC}/lode.input.dvi       \
diff --git a/src/input/liska.input.pamphlet b/src/input/liska.input.pamphlet
new file mode 100644
index 0000000..770304a
--- /dev/null
+++ b/src/input/liska.input.pamphlet
@@ -0,0 +1,1262 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input liska.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+Richard Liska, Ladislav Drska, Jiri Limpouch, Milan Sinor, Michael Wester,
+Franz Winkler "Computer Algebra - algorithms, systems and applications''
+June 2, 1997 
+\verb|kfe.fjfi.cvut.cz/~liska/ca/all.html|
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f liska.output
+)spool liska.output
+)set message test on
+)set message auto off
+)clear all
+\end{chunk}
+\section{Number Domains}
+\subsection{Big integers}
+\begin{chunk}{*}
+)clear all
+ 
+--S 1 of 94
+23^12
+--R 
+--R
+--R   (1)  21914624432020321
+--R                                                        Type: PositiveInteger
+--E 1
+
+--S 2 of 94
+factorial 60
+--R 
+--R
+--R   (2)
+--R  8320987112741390144276341183223364380754172606361245952449277696409600000000_
+--R   000000
+--R                                                        Type: PositiveInteger
+--E 2
+
+--S 3 of 94
+bi:=23^4*37*59*101
+--R 
+--R
+--R   (3)  61700183203
+--R                                                        Type: PositiveInteger
+--E 3
+
+--S 4 of 94
+factor bi
+--R 
+--R
+--R          4
+--R   (4)  23 37 59 101
+--R                                                       Type: Factored Integer
+--E 4
+
+--S 5 of 94
+bia:=23*11^6
+--R 
+--R
+--R   (5)  40745903
+--R                                                        Type: PositiveInteger
+--E 5
+
+--S 6 of 94
+gcd(bi,bia)
+--R 
+--R
+--R   (6)  23
+--R                                                        Type: PositiveInteger
+--E 6
+
+\end{chunk}
+\subsection{Rational numbers}
+\begin{chunk}{*}
+)clear all
+ 
+--S 7 of 94
+1234567890/98765432
+--R 
+--R
+--R        617283945
+--R   (1)  ---------
+--R         49382716
+--R                                                       Type: Fraction Integer
+--E 7
+
+--S 8 of 94
+rn:=1/2+2/15-64/47
+--R 
+--R
+--R          1027
+--R   (2)  - ----
+--R          1410
+--R                                                       Type: Fraction Integer
+--E 8
+\end{chunk}
+\subsection{Complex numbers}
+\begin{chunk}{*}
+)clear all
+ 
+--S 9 of 94
+cn:=(2+3*%i)*(15-6*%i)+2/(2-4*%i)
+--R 
+--R
+--R        63 + 115%i
+--R   (1)  ----------
+--R          2 + %i
+--R                                               Type: Fraction Complex Integer
+--E 9
+
+--S 10 of 94
+real(cn)+%i*imag(cn)
+--R 
+--R
+--R        63 + 115%i
+--R   (2)  ----------
+--R          2 + %i
+--R                                             Type: Expression Complex Integer
+--E 10
+\end{chunk}
+\subsection{Algebraic numbers}
+\begin{chunk}{*}
+)clear all
+ 
+--S 11 of 94
+sqrt2:=rootOf(sqrt2^2-2)
+--R 
+--R
+--R   (1)  sqrt2
+--R                                                        Type: AlgebraicNumber
+--E 11
+
+--S 12 of 94
+1/(sqrt2+1)
+--R 
+--R
+--R   (2)  sqrt2 - 1
+--R                                                        Type: AlgebraicNumber
+--E 12
+
+--S 13 of 94
+(x^2+2*sqrt2*x+2)/(x+sqrt2)
+--R 
+--R
+--R   (3)  x + sqrt2
+--R                                    Type: Fraction Polynomial AlgebraicNumber
+--E 13
+
+--S 14 of 94
+t1:=(x^3+(sqrt2-2)*x^2-(2*sqrt2+3)*x-3*sqrt2)/(x^2-2)
+--R 
+--R
+--R         2
+--R        x  - 2x - 3
+--R   (4)  -----------
+--R         x - sqrt2
+--R                                    Type: Fraction Polynomial AlgebraicNumber
+--E 14
+
+--S 15 of 94
+normalize t1
+--R 
+--R
+--R           2
+--R        - x  + 2x + 3
+--R   (5)  -------------
+--R          sqrt2 - x
+--R                                                     Type: Expression Integer
+--E 15
+
+--S 16 of 94
+sqrt(x^2-2*sqrt2*x*y+2*y^2)
+--R 
+--R
+--R         +-----------------------+
+--R         |                 2    2
+--R   (6)  \|- 2x y sqrt2 + 2y  + x
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 94
+sqrt5:=rootOf(sqrt5^2-5)
+--R 
+--R
+--R   (7)  sqrt5
+--R                                                        Type: AlgebraicNumber
+--E 17
+
+--S 18 of 94
+cbrt3:=rootOf(cbrt3^3-3)
+--R 
+--R
+--R   (8)  cbrt3
+--R                                                        Type: AlgebraicNumber
+--E 18
+
+--S 19 of 94
+cbrt3^3
+--R 
+--R
+--R   (9)  3
+--R                                                        Type: AlgebraicNumber
+--E 19
+
+--S 20 of 94
+sqrt5^2
+--R 
+--R
+--R   (10)  5
+--R                                                        Type: AlgebraicNumber
+--E 20
+
+--S 21 of 94
+cbrt
+--R 
+--R
+--R   (11)  cbrt
+--R                                                          Type: Variable cbrt
+--E 21
+
+--S 22 of 94
+sqrt(x^2+2*(sqrt5-cbrt3)*x+5-2*sqrt5*cbrt3+cbrt3^2)
+--R 
+--R
+--R          +-------------------------------------------------+
+--R          |                            2               2
+--R   (12)  \|(- 2cbrt3 + 2x)sqrt5 + cbrt3  - 2x cbrt3 + x  + 5
+--R                                                     Type: Expression Integer
+--E 22
+\end{chunk}
+\subsection{Big floating point numbers}
+\begin{chunk}{*}
+)clear all
+ 
+--S 23 of 94
+rn:=-1027/1410
+--R 
+--R
+--R          1027
+--R   (1)  - ----
+--R          1410
+--R                                                       Type: Fraction Integer
+--E 23
+
+--S 24 of 94
+cn:=(167*%i+241)/5
+--R 
+--R
+--R        63 + 115%i
+--R   (2)  ----------
+--R          2 + %i
+--R                                               Type: Fraction Complex Integer
+--E 24
+
+--S 25 of 94
+rn::Float
+--R 
+--R
+--R   (3)  - 0.7283687943 2624113475
+--R                                                                  Type: Float
+--E 25
+
+--S 26 of 94
+cn::Complex Float
+--R 
+--R
+--R   (4)  48.2 + 33.4 %i
+--R                                                          Type: Complex Float
+--E 26
+
+--S 27 of 94
+%pi::Float
+--R 
+--R
+--R   (5)  3.1415926535 897932385
+--R                                                                  Type: Float
+--E 27
+
+--S 28 of 94
+cos(%pi::Float)
+--R 
+--R
+--R   (6)  - 1.0
+--R                                                                  Type: Float
+--E 28
+
+--S 29 of 94
+sin 1.0
+--R 
+--R
+--R   (7)  0.8414709848 0789650665
+--R                                                                  Type: Float
+--E 29
+
+--S 30 of 94
+digits 50
+--R 
+--R
+--R   (8)  20
+--R                                                        Type: PositiveInteger
+--E 30
+
+--S 31 of 94
+%pi::Float
+--R 
+--R
+--R   (9)  3.1415926535 8979323846 2643383279 5028841971 693993751
+--R                                                                  Type: Float
+--E 31
+
+--S 32 of 94
+cos %pi::Float
+--R 
+--R
+--R   (10)  - 1.0
+--R                                                                  Type: Float
+--E 32
+
+--S 33 of 94
+cos(%pi/6::Float)
+--R 
+--R
+--R   (11)  0.8660254037 8443864676 3723170752 9361834714 0262690519
+--R                                                                  Type: Float
+--E 33
+
+--S 34 of 94
+digits 20
+--R 
+--R
+--R   (12)  50
+--R                                                        Type: PositiveInteger
+--E 34
+
+--S 35 of 94
+exp(-100000.1^2)
+--R 
+--R
+--R   (13)  0.1184406313 2021703038 E -4342953504
+--R                                                                  Type: Float
+--E 35
+
+--S 36 of 94
+tan(1.0+1.0*%i)
+--R 
+--R
+--R   (14)  0.2717525853 1951171653 + 1.0839233273 386945435 %i
+--R                                                          Type: Complex Float
+--E 36
+
+--S 37 of 94
+log(1.0+1.0*%i)
+--R 
+--R
+--R   (15)  0.3465735902 7997265471 + 0.7853981633 9744830961 %i
+--R                                                          Type: Complex Float
+--E 37
+\end{chunk}
+\section{Polynomials}
+\subsection{Basic operations}
+\begin{chunk}{*}
+)clear all
+ 
+--S 38 of 94
+pol:=(a+b+c)^4
+--R 
+--R
+--R   (1)
+--R      4             3      2             2  2      3        2      2      3
+--R     c  + (4b + 4a)c  + (6b  + 12a b + 6a )c  + (4b  + 12a b  + 12a b + 4a )c
+--R   + 
+--R      4       3     2 2     3     4
+--R     b  + 4a b  + 6a b  + 4a b + a
+--R                                                     Type: Polynomial Integer
+--E 38
+
+--S 39 of 94
+dpol:=D(pol,a)
+--R 
+--R
+--R   (2)
+--R     3               2       2              2       3        2      2      3
+--R   4c  + (12b + 12a)c  + (12b  + 24a b + 12a )c + 4b  + 12a b  + 12a b + 4a
+--R                                                     Type: Polynomial Integer
+--E 39
+
+--S 40 of 94
+D(D(pol,a),b,2)
+--R 
+--R
+--R   (3)  24c + 24b + 24a
+--R                                                     Type: Polynomial Integer
+--E 40
+
+--S 41 of 94
+t1:=integrate(dpol,a)
+--R 
+--R
+--R   (4)
+--R       3              2  2         2      2      3         3     2 2     3     4
+--R   4a c  + (12a b + 6a )c  + (12a b  + 12a b + 4a )c + 4a b  + 6a b  + 4a b + a
+--R                                            Type: Polynomial Fraction Integer
+--E 41
+
+--S 42 of 94
+pol-t1
+--R 
+--R
+--R         4       3     2 2     3     4
+--R   (5)  c  + 4b c  + 6b c  + 4b c + b
+--R                                            Type: Polynomial Fraction Integer
+--E 42
+
+--S 43 of 94
+(a^2-b^2)/(a^2-2*a*b+b^2)
+--R 
+--R
+--R        - b - a
+--R   (6)  -------
+--R         b - a
+--R                                            Type: Fraction Polynomial Integer
+--E 43
+
+--S 44 of 94
+g:=34*x^19-91*x+70*x^7-25*x^16+20*x^3-86
+--R 
+--R
+--R           19      16      7      3
+--R   (7)  34x   - 25x   + 70x  + 20x  - 91x - 86
+--R                                                     Type: Polynomial Integer
+--E 44
+
+--S 45 of 94
+f1:=g*(64*x^34-21*x^47-126*x^8-46*x^5-16*x^60-81)
+--R 
+--R
+--R   (8)
+--R           79       76        67       66       63        61        60        54
+--R     - 544x   + 400x   - 1120x   - 714x   + 205x   + 1456x   + 1376x   - 1470x
+--R   + 
+--R          53        50        48        47        41        37        35
+--R     2176x   - 2020x   + 1911x   + 1806x   + 4480x   + 1280x   - 5824x
+--R   + 
+--R            34        27        24        21        19        16        15
+--R     - 5504x   - 4284x   + 1586x   + 1150x   - 2754x   + 2025x   - 8820x
+--R   + 
+--R            12        11         9        8        7        6        5        3
+--R     - 3220x   - 2520x   + 11466x  + 9916x  - 5670x  + 4186x  + 3956x  - 1620x
+--R   + 
+--R     7371x + 6966
+--R                                                     Type: Polynomial Integer
+--E 45
+
+--S 46 of 94
+f2:=g*(72*x^60-25*x^25-19*x^23-22*x^39-83*x^52+54*x^10+81)
+--R 
+--R
+--R   (9)
+--R          79        76        71        68        67        63        61
+--R     2448x   - 1800x   - 2822x   + 2075x   + 5040x   + 1440x   - 6552x
+--R   + 
+--R            60        59       58        55        53        52        46
+--R     - 6192x   - 5810x   - 748x   - 1110x   + 7553x   + 7138x   - 1540x
+--R   + 
+--R           44        42       41        40        39        32        30
+--R     - 850x   - 1086x   + 625x   + 2002x   + 2367x   - 1750x   - 1330x
+--R   + 
+--R          29       28       26        25        24        23        19        17
+--R     1836x   - 500x   + 545x   + 2150x   + 1729x   + 1634x   + 2754x   + 3780x
+--R   + 
+--R            16        13        11        10        7        3
+--R     - 2025x   + 1080x   - 4914x   - 4644x   + 5670x  + 1620x  - 7371x - 6966
+--R                                                     Type: Polynomial Integer
+--E 46
+
+--S 47 of 94
+gcd(f1,f2)
+--R 
+--R
+--R            19      16      7      3
+--R   (10)  34x   - 25x   + 70x  + 20x  - 91x - 86
+--R                                                     Type: Polynomial Integer
+--E 47
+
+\end{chunk}
+\subsection{Factorization}
+\begin{chunk}{*}
+)clear all
+ 
+--S 48 of 94
+factor(a^2-b^2)
+--R 
+--R
+--R   (1)  - (b - a)(b + a)
+--R                                            Type: Factored Polynomial Integer
+--E 48
+
+--S 49 of 94
+factor(a^2+b^2,[rootOf(i^2+1)])
+--R 
+--R
+--R   (2)  (b - i a)(b + i a)
+--R                                    Type: Factored Polynomial AlgebraicNumber
+--E 49
+
+--S 50 of 94
+fa:=(x^2*z+y^4*z^2+5)*(x*y^3+z^2)*(-x^3*y+z^2+3)*(x^3*y^4+z^2)
+--R 
+--R
+--R   (3)
+--R      4 8    2 7     3 8      7    3 5     4      6
+--R     y z  + x z  + (x y  + x y  - x y  + 3y  + 5)z
+--R   + 
+--R       5 4    3 3    5      2  5
+--R     (x y  + x y  - x y + 3x )z
+--R   + 
+--R       4 11    6 9       4     3  8       7     3 4       3     3        4
+--R     (x y   - x y  + (- x  + 3x )y  + 3x y  + 5x y  + 5x y  - 5x y + 15)z
+--R   + 
+--R       6 7    8 5       6     5  4     3 3  3
+--R     (x y  - x y  + (- x  + 3x )y  + 3x y )z
+--R   + 
+--R         7 12     4 11     4 7     6 5        4      3  4        3  2
+--R     (- x y   + 3x y   + 5x y  - 5x y  + (- 5x  + 15x )y  + 15x y )z
+--R   + 
+--R         9 8     6 7       7 8      4 7
+--R     (- x y  + 3x y )z - 5x y  + 15x y
+--R                                                     Type: Polynomial Integer
+--E 50
+
+--S 51 of 94
+factor fa
+--R 
+--R
+--R          2    3        2      3   2    3 4   4 2    2
+--R   (4)  (z  - x y + 3)(z  + x y )(z  + x y )(y z  + x z + 5)
+--R                                            Type: Factored Polynomial Integer
+--E 51
+\end{chunk}
+\subsection{Groebner bases}
+\begin{chunk}{*}
+)clear all
+ 
+--S 52 of 94
+polys:=[45*p+35*s-165*b-36, _
+        35*p+40*z+25*t-27*s, _
+        15*w+25*p*s+30*z-18*t-165*b^2, _
+        -9*w+15*p*t+20*z*s, _
+        w*p+2*z*t-11*b^3, _
+        99*w-11*s*b+3*b^2, _
+        b^2+33/50*b+2673/10000]
+--R 
+--R
+--R   (1)
+--R   [35s + 45p - 165b - 36, 40z + 25t - 27s + 35p,
+--R                                  2                                      3
+--R    30z + 15w - 18t + 25p s - 165b , 20s z - 9w + 15p t, 2t z + p w - 11b ,
+--R                    2   2   33      2673
+--R    99w - 11b s + 3b , b  + -- b + -----]
+--R                            50     10000
+--R                                       Type: List Polynomial Fraction Integer
+--E 52
+
+--S 53 of 94
+vars:=[w,p,z,t,s,b]
+--R 
+--R
+--R   (2)  [w,p,z,t,s,b]
+--R                                 Type: List OrderedVariableList [w,p,z,t,s,b]
+--E 53
+
+--S 54 of 94
+groebner(polys)
+--R 
+--R
+--R   (3)
+--R        49     1143       19      1323      37      27      5      9
+--R   [z + -- b + ----, w + --- b + -----, t - -- b + ---, s - - b - ---,
+--R        36     2000      120     20000      15     250      2     200
+--R        31     153   2   33      2673
+--R    p - -- b - ---, b  + -- b + -----]
+--R        18     200       50     10000
+--R                                       Type: List Polynomial Fraction Integer
+--E 54
+
+--S 55 of 94
+solve(polys,vars)
+--R 
+--R
+--R   (4)
+--R   [
+--R         - 9500b - 3969     3100b + 1377     - 24500b - 10287     1850b - 81
+--R     [w= --------------, p= ------------, z= ----------------, t= ----------,
+--R              60000             1800               18000              750
+--R         500b + 9        2
+--R      s= --------, 10000b  + 6600b + 2673= 0]
+--R            200
+--R     ]
+--R                         Type: List List Equation Fraction Polynomial Integer
+--E 55
+
+\end{chunk}
+\section{Rational functions}
+\begin{chunk}{*}
+
+--S 56 of 94
+rf:=(3*a*b^2-5*a^2*b)/(a^4-2)
+--R 
+--R
+--R            2     2
+--R        3a b  - 5a b
+--R   (5)  ------------
+--R            4
+--R           a  - 2
+--R                                            Type: Fraction Polynomial Integer
+--E 56
+
+--S 57 of 94
+integrate(rf,a)
+--R 
+--R
+--R   (6)
+--R           +--------------------------------------+
+--R           |        2                      2     4
+--I         (\|- 12%%J1  - 8%%J0 %%J1 - 12%%J0  + 9b   - 2%%J1 - 2%%J0)
+--R      *
+--R         log
+--R                                4            4           4
+--I                ((800%%J0 - 216b )%%J1 - 216b %%J0 - 225b )
+--R             *
+--R                 +--------------------------------------+
+--R                 |        2                      2     4
+--I                \|- 12%%J1  - 8%%J0 %%J1 - 12%%J0  + 9b
+--R            + 
+--R                              4     2            2       4            4    2
+--I              (1600%%J0 - 432b )%%J1  + (1600%%J0  + 450b )%%J1 - 432b %%J0
+--R            + 
+--R                  4           8         7        4          3
+--I              450b %%J0 + 243b  + 810a b  + 1875b  + 3125a b
+--R     + 
+--R             +--------------------------------------+
+--R             |        2                      2     4
+--I         (- \|- 12%%J1  - 8%%J0 %%J1 - 12%%J0  + 9b   - 2%%J1 - 2%%J0)
+--R      *
+--R         log
+--R                                  4            4           4
+--I                ((- 800%%J0 + 216b )%%J1 + 216b %%J0 + 225b )
+--R             *
+--R                 +--------------------------------------+
+--R                 |        2                      2     4
+--I                \|- 12%%J1  - 8%%J0 %%J1 - 12%%J0  + 9b
+--R            + 
+--R                              4     2            2       4            4    2
+--I              (1600%%J0 - 432b )%%J1  + (1600%%J0  + 450b )%%J1 - 432b %%J0
+--R            + 
+--R                  4           8         7        4          3
+--I              450b %%J0 + 243b  + 810a b  + 1875b  + 3125a b
+--R     + 
+--I         4%%J1
+--R      *
+--R         log
+--R                                4     2              2       4                3
+--I              (- 3200%%J0 + 864b )%%J1  + (- 3200%%J0  - 900b )%%J1 - 3200%%J0
+--R            + 
+--R                   4           8         7        4          3
+--I              1800b %%J0 - 243b  + 810a b  + 1875b  + 3125a b
+--R     + 
+--I         4%%J0
+--R      *
+--R         log
+--R                      3       4    2        4           8         7        4
+--I              3200%%J0  + 864b %%J0  - 2700b %%J0 - 243b  + 810a b  - 5625b
+--R            + 
+--R                     3
+--R              3125a b
+--R  /
+--R     4
+--R                                          Type: Union(Expression Integer,...)
+--E 57
+
+--S 58 of 94
+t1:=(10*x^2-11*x-6)/(x^3-x^2-2*x)
+--R 
+--R
+--R           2
+--R        10x  - 11x - 6
+--R   (7)  --------------
+--R          3    2
+--R         x  - x  - 2x
+--R                                            Type: Fraction Polynomial Integer
+--E 58
+
+--S 59 of 94
+FACU:=Factored UnivariatePolynomial(x,Fraction Integer)
+--R 
+--R
+--R   (8)  Factored UnivariatePolynomial(x,Fraction Integer)
+--R                                                                 Type: Domain
+--E 59
+
+--S 60 of 94
+partialFraction(numerator(t1)::FACU,denominator(t1)::FACU)
+--R 
+--R
+--R          2       5     3
+--R   (9)  ----- + ----- + -
+--R        x - 2   x + 1   x
+--R               Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)
+--E 60
+\end{chunk}
+\section{Solving Equations}
+\subsection{Linear systems}
+\begin{chunk}{*}
+)clear all
+ 
+--S 61 of 94
+solve([2*x1+x2+3*x3-9, x1-2*x2+x3+2, 3*x1+2*x2+2*x3-7],[x1,x2,x3])
+--R 
+--R
+--R   (1)  [[x1= - 1,x2= 2,x3= 3]]
+--R                         Type: List List Equation Fraction Polynomial Integer
+--E 61
+\end{chunk}
+\subsection{Nonlinear equations}
+\begin{chunk}{*}
+)clear all
+ 
+--S 62 of 94
+solve(x^8-8*x^7+34*x^6-92*x^5-175*x^4-236*x^3+226*x^2-140*x+46,x)
+--R 
+--R
+--R          8     7      6      5       4       3       2
+--R   (1)  [x  - 8x  + 34x  - 92x  - 175x  - 236x  + 226x  - 140x + 46= 0]
+--R                              Type: List Equation Fraction Polynomial Integer
+--E 62
+
+--S 63 of 94
+solve(log(acos(asin(x^(2/3)-b)-1))+2,x)
+--R 
+--R
+--R   (2)
+--R                                 +---------------------+
+--R                   1             |         1
+--R   [x= (- sin(cos(---) + 1) - b) |sin(cos(---) + 1) + b ,
+--R                    2            |          2
+--R                  %e            \|        %e
+--R                               +---------------------+
+--R                 1             |         1
+--R    x= (sin(cos(---) + 1) + b) |sin(cos(---) + 1) + b ]
+--R                  2            |          2
+--R                %e            \|        %e
+--R                                       Type: List Equation Expression Integer
+--E 63
+\end{chunk}
+\subsection{Nonlinear systems}
+\begin{chunk}{*}
+)clear all
+ 
+-- Maple claims:
+-- c1 = c1
+-- c2 = -(c1*(- epsilon*alpha+c1*epsilon*beta-theta*alpha+c1*theta*beta)/
+--       (-eta*epsilon+c1*theta*gamma)
+-- c3 = -(c1*(- alpha*eta+beta*c1*eta-gamma*c1*alpha+gamma*c1^2*beta)/
+--       (-eta*epsilon+c1*theta*gamma)
+--
+-- MMA claims:
+-- c1 is an arbitrary complex number
+-- c2 = (c1*(alpha-beta*c1)*(epsilon+theta))/(-epsilon*eta+c1*gamma*theta)
+-- c3 = (c1*(-alpha+beta*c1)*(eta+c1*gamma))/(epsilon*eta-c1*gamma*theta)
+--
+--S 64 of 94
+solve([alpha*c1-beta*c1^2-gamma*c1*c2+epsilon*c3,_
+       -gamma*c1*c2+(epsilon+theta)*c3-eta*c2,_
+       gamma*c1*c2+eta*c2-(epsilon+theta)*c3],
+      [c3,c2,c1])
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   system does not have a finite number of solutions
+--R
+--R   Continuing to read the file...
+--R
+--E 64
+\end{chunk}
+\section{Analytical Operations}
+\subsection{Limits}
+\begin{chunk}{*}
+)clear all
+ 
+--S 65 of 94
+limit(sin(x)/x,x=0)
+--R 
+--R
+--R   (1)  1
+--R                        Type: Union(OrderedCompletion Expression Integer,...)
+--E 65
+
+--S 66 of 94
+limit((3*sin(%pi*x)-sin(3*%pi*x))/x^3,x=0)
+--R 
+--R
+--R            3
+--R   (2)  4%pi
+--R                        Type: Union(OrderedCompletion Expression Integer,...)
+--E 66
+
+--S 67 of 94
+limit((2*x+5)/(3*x-2),x=%plusInfinity)
+--R 
+--R
+--R        2
+--R   (3)  -
+--R        3
+--R               Type: Union(OrderedCompletion Fraction Polynomial Integer,...)
+--E 67
+\end{chunk}
+\subsection{Taylor series}
+\begin{chunk}{*}
+)clear all
+ 
+)set streams calculate 4
+ 
+--S 68 of 94
+series(%e^x,x=0)
+--R 
+--R
+--R                1  2   1  3    1  4      5
+--R   (1)  1 + x + - x  + - x  + -- x  + O(x )
+--R                2      6      24
+--R                        Type: UnivariatePuiseuxSeries(Expression Integer,x,0)
+--E 68
+\end{chunk}
+\subsection{Summation and Products}
+\begin{chunk}{*}
+)clear all
+ 
+--S 69 of 94
+sum(n^2*x^n,n)
+--R 
+--R
+--R           2           3        2           2    2   n - 1
+--R        ((n  - 2n + 1)x  + (- 2n  + 2n + 1)x  + n x)x
+--R   (1)  --------------------------------------------------
+--R                          3     2
+--R                         x  - 3x  + 3x - 1
+--R                                                     Type: Expression Integer
+--E 69
+
+--S 70 of 94
+sum(cos((2*r-1)*%pi/(2*n+1)),r)
+--R 
+--R
+--R        --+      2%pi r - %pi
+--R   (2)  >    cos(------------)
+--R        --+         2n + 1
+--R         r
+--R                                                     Type: Expression Integer
+--E 70
+
+--S 71 of 94
+product(%e^(sin(n*x)),n)
+--R 
+--R
+--R        ++-++    sin(n x)
+--R   (3)   | |   %e
+--R         | |
+--R          n
+--R                                                     Type: Expression Integer
+--E 71
+
+--S 72 of 94
+sum(n*2^n/factorial(n+2),n)
+--R 
+--R
+--R             n - 1
+--R          2 2
+--R   (4)  - --------
+--R          (n + 1)!
+--R                                                     Type: Expression Integer
+--E 72
+\end{chunk}
+\subsection{Integration}
+\begin{chunk}{*}
+)clear all
+ 
+--S 73 of 94
+integrate(x^2*(a+b*x)^p,x)
+--R 
+--R
+--R   (1)
+--R      3 2     3      3  3       2 2      2   2     2          3   p log(b x + a)
+--R   ((b p  + 3b p + 2b )x  + (a b p  + a b p)x  - 2a b p x + 2a )%e
+--R   -----------------------------------------------------------------------------
+--R                              3 3     3 2      3      3
+--R                             b p  + 6b p  + 11b p + 6b
+--R                                          Type: Union(Expression Integer,...)
+--E 73
+
+--S 74 of 94
+integrate(x^2*log(x^2+a^2),x)
+--R 
+--R
+--R          3     2    2      3     x      3     2
+--R        3x log(x  + a ) - 6a atan(-) - 2x  + 6a x
+--R                                  a
+--R   (2)  -----------------------------------------
+--R                            9
+--R                                          Type: Union(Expression Integer,...)
+--E 74
+
+--S 75 of 94
+integrate(x*d^x*sin(x),x)
+--R 
+--R
+--R   (3)
+--R                  3         2                                       2
+--R         (x log(d)  - log(d)  + x log(d) + 1)sin(x) - x cos(x)log(d)
+--R       + 
+--R         2cos(x)log(d) - x cos(x)
+--R    *
+--R         x log(d)
+--R       %e
+--R  /
+--R           4          2
+--R     log(d)  + 2log(d)  + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 75
+
+--S 76 of 94
+integrate(x*sqrt(a+b*x)^p,x)
+--R 
+--R
+--R                                                  +-------+
+--R            2      2  2                2   p log(\|b x + a )
+--R        ((2b p + 4b )x  + 2a b p x - 4a )%e
+--R   (4)  ----------------------------------------------------
+--R                           2 2     2      2
+--R                          b p  + 6b p + 8b
+--R                                          Type: Union(Expression Integer,...)
+--E 76
+
+--S 77 of 94
+integrate(2*x*%e^(x^2)*log(x)+%e^(x^2)/x+(log(x)-2)/(log(x)^2+x)^2+_
+           ((2/x)*log(x)+(1/x)+1)/(log(x)^2+x),x)
+--R 
+--R
+--R                                           2                2
+--R               2               2          x       3        x
+--R        (log(x)  + x)log(log(x)  + x) + %e  log(x)  + (x %e   - 1)log(x)
+--R   (5)  ----------------------------------------------------------------
+--R                                         2
+--R                                   log(x)  + x
+--R                                          Type: Union(Expression Integer,...)
+--E 77
+\end{chunk}
+\subsection{Ordinary differential equations}
+\begin{chunk}{*}
+)clear all
+ 
+--S 78 of 94
+y:=operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 78
+
+--S 79 of 94
+solve(D(y(x),x)+y(x)*sin(x)/cos(x)-1/cos(x)=0,y,x)
+--R 
+--R
+--R   (2)  [particular= sin(x),basis= [cos(x)]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 79
+
+--S 80 of 94
+solve(x*(1-x^2)*D(y(x),x)+(2*x^2-1)*y(x)-x^3*y(x)^3=0,y,x)
+--R 
+--R
+--R             5         2     4     2
+--R        (- 2x  + 4)y(x)  + 5x  - 5x
+--R   (3)  ----------------------------
+--R                        2
+--R                   5y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 80
+
+--S 81 of 94
+solve(D(y(x),x,2)+4*D(y(x),x)+4*y(x)-x*exp(x)=0,y,x)
+--R 
+--R
+--R                               - 2x   x 3
+--R                     (3x - 2)%e    (%e )            - 2x     - 2x
+--R   (4)  [particular= --------------------,basis= [%e    ,x %e    ]]
+--R                              27
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 81
+\end{chunk}
+\subsection{Substitutions -- pattern matching}
+\begin{chunk}{*}
+)clear all
+ 
+--S 82 of 94
+sincosRules:=rule 
+   cos(x)*cos(y) == (cos(x+y)+cos(x-y))/2 
+   cos(x)*sin(y) == (cin(x+y)-sin(x-y))/2 
+   sin(x)*sin(y) == (cos(x-y)-cos(x+y))/2 
+   cos(x)^2 == (1+cos(2*x))/2 
+   sin(x)^2 == (1-cos(2*x))/2
+--R 
+--R
+--R   (1)
+--I                        %QQ cos(y + x) + %QQ cos(y - x)
+--I   {%QQ cos(x)cos(y) == -------------------------------,
+--R                                       2
+--I                        %QR sin(y - x) + %QR'cin(y + x)
+--I    %QR cos(x)sin(y) == -------------------------------,
+--R                                       2
+--I                        - %QS cos(y + x) + %QS cos(y - x)
+--I    %QS sin(x)sin(y) == ---------------------------------,
+--R                                        2
+--R          2    cos(2x) + 1        2    - cos(2x) + 1
+--R    cos(x)  == -----------, sin(x)  == -------------}
+--R                    2                        2
+--R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--E 82
+
+--S 83 of 94
+sincosRules (a1*cos(wt)+a3*cos(3*wt)+b1*sin(wt)+b3*sin(3*wt))^3
+--R 
+--R
+--R   (2)
+--R       3        3          2                2                 2                2
+--R     b3 sin(3wt)  + (3b1 b3 sin(wt) + 3a3 b3 cos(3wt) + 3a1 b3 cos(wt))sin(3wt)
+--R   + 
+--R            2          2
+--R         3b1 b3 sin(wt)  + (6a3 b1 b3 cos(3wt) + 6a1 b1 b3 cos(wt))sin(wt)
+--R       + 
+--R            2           2                                  2          2
+--R         3a3 b3 cos(3wt)  + 6a1 a3 b3 cos(wt)cos(3wt) + 3a1 b3 cos(wt)
+--R    *
+--R       sin(3wt)
+--R   + 
+--R       3       3          2                 2               2
+--R     b1 sin(wt)  + (3a3 b1 cos(3wt) + 3a1 b1 cos(wt))sin(wt)
+--R   + 
+--R         2           2                                  2          2
+--R     (3a3 b1 cos(3wt)  + 6a1 a3 b1 cos(wt)cos(3wt) + 3a1 b1 cos(wt) )sin(wt)
+--R   + 
+--R       3        3         2               2      2          2
+--R     a3 cos(3wt)  + 3a1 a3 cos(wt)cos(3wt)  + 3a1 a3 cos(wt) cos(3wt)
+--R   + 
+--R       3       3
+--R     a1 cos(wt)
+--R                                                     Type: Expression Integer
+--E 83
+
+--S 84 of 94
+int:=operator('int)
+--R 
+--R
+--R   (3)  int
+--R                                                          Type: BasicOperator
+--E 84
+
+-- bug in this rule form?  int(x+ :y,z) == int(x,z)+int(y,z)
+-- and also this one?    int(x+y,z) == int(x,z)+int(y,z)
+--S 85 of 94
+intRules:=rule 
+   int(x+y,z) == int(x,z)+int(y,z)
+   int(k*x | freeOf?(k,z),z) == k*int(x,z)
+   int(y | integer? y, z) == y*z
+   int(x^(?p | D(p,x)=0),x) == x^(p+1)/(p+1)
+--R 
+--R
+--R   (4)
+--R   {int(y + x,z) == 'int(y,z) + 'int(x,z), int(k x,z) == k'int(x,z),
+--R                                   p + 1
+--R                          p       x
+--R    int(y,z) == y z, int(x ,x) == ------}
+--R                                   p + 1
+--R                            Type: Ruleset(Integer,Integer,Expression Integer)
+--E 85
+
+--
+-- should be:
+--  b+1    2     2                2            2
+-- a   + (a b + a ) int(b,a) + (3a  - 5a)b + 3a  - 5a
+-- --------------------------------------------------
+--                      b + 1
+--
+--S 86 of 94
+intRules int(a^2*b+a^b+3*a-5,a)
+--R 
+--R   There are 9 exposed and 0 unexposed library operations named elt 
+--R      having 3 argument(s) but none was determined to be applicable. 
+--R      Use HyperDoc Browse, or issue
+--R                               )display op elt
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named elt 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R                                 Variable a
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 86
+
+--S 87 of 94
+intRules int(a^(a+1),a)
+--R 
+--R
+--R         a + 2
+--R        a
+--R   (5)  ------
+--R         a + 2
+--R                                                     Type: Expression Integer
+--E 87
+\end{chunk}
+\section{Matrices}
+\begin{chunk}{*}
+
+--S 88 of 94
+xx:=matrix([[a11,a12],[a21,a22]])
+--R 
+--R
+--R        +a11  a12+
+--R   (6)  |        |
+--R        +a21  a22+
+--R                                              Type: Matrix Polynomial Integer
+--E 88
+
+--S 89 of 94
+yy:=matrix([[y1],[y2]])
+--R 
+--R
+--R        +y1+
+--R   (7)  |  |
+--R        +y2+
+--R                                              Type: Matrix Polynomial Integer
+--E 89
+
+--S 90 of 94
+determinant xx
+--R 
+--R
+--R   (8)  a11 a22 - a12 a21
+--R                                                     Type: Polynomial Integer
+--E 90
+
+--S 91 of 94
+zz:=inverse(xx)*yy
+--R 
+--R
+--R        +- a12 y2 + a22 y1+
+--R        |-----------------|
+--R        |a11 a22 - a12 a21|
+--R   (9)  |                 |
+--R        | a11 y2 - a21 y1 |
+--R        |-----------------|
+--R        +a11 a22 - a12 a21+
+--R                                     Type: Matrix Fraction Polynomial Integer
+--E 91
+
+--S 92 of 94
+inverse(xx)^2
+--R 
+--R
+--R   (10)
+--R   [
+--R                     2
+--R                  a22  + a12 a21
+--R     [--------------------------------------,
+--R         2   2                         2   2
+--R      a11 a22  - 2a11 a12 a21 a22 + a12 a21
+--R                - a12 a22 - a11 a12
+--R      --------------------------------------]
+--R         2   2                         2   2
+--R      a11 a22  - 2a11 a12 a21 a22 + a12 a21
+--R     ,
+--R
+--R                - a21 a22 - a11 a21
+--R     [--------------------------------------,
+--R         2   2                         2   2
+--R      a11 a22  - 2a11 a12 a21 a22 + a12 a21
+--R                               2
+--R                  a12 a21 + a11
+--R      --------------------------------------]
+--R         2   2                         2   2
+--R      a11 a22  - 2a11 a12 a21 a22 + a12 a21
+--R     ]
+--R                                     Type: Matrix Fraction Polynomial Integer
+--E 92
+
+--S 93 of 94
+v:=matrix([[2,-1,1],[0,1,1],[-1,1,1]])
+--R 
+--R
+--R         + 2   - 1  1+
+--R         |           |
+--R   (11)  | 0    1   1|
+--R         |           |
+--R         +- 1   1   1+
+--R                                                         Type: Matrix Integer
+--E 93
+
+--S 94 of 94
+eigenvectors v
+--R 
+--R
+--R   (12)
+--R                                   +1+                                  +0+
+--R                                   | |                                  | |
+--R   [[eigval= 1,eigmult= 2,eigvec= [|1|]],[eigval= 2,eigmult= 1,eigvec= [|1|]]]
+--R                                   | |                                  | |
+--R                                   +0+                                  +1+
+--RType: List Record(eigval: Union(Fraction Polynomial Integer,SuchThat(Symbol,Polynomial Integer)),eigmult: NonNegativeInteger,eigvec: List Matrix Fraction Polynomial Integer)
+--E 94
+
+\end{chunk}
+\section{Graphics}
+\subsection{2D Graphics}
+\begin{verbatim}
+ 
+draw(sin(%e*x),x=0..%pi)
+draw([besselJ(0,x),besselJ(2,x),besselJ(5,x)],x=0..10,_
+      title=="Bessel Functions BesselJ(n,x)")
+\end{verbatim}
+\subsection{3D Graphics}
+\begin{verbatim}
+draw(sin(%pi*sin(x+y)),x=-3..3,y=-3..3)
+draw(tan(x*y),x=-2/3*%pi..2/3*%pi,y=-2/3*%pi..2/3*%pi)
+\end{verbatim}
+\subsection{Parametric plots}
+\begin{verbatim}
+draw(surface(sin(v),sin(2*v)*sin(u),sin(2*v)*cos(u)),_
+     u=0..2*%pi,v=-%pi/2..%pi/2)
+\end{verbatim}
+\begin{chunk}{*}
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
+ 
